View source Improve this doc

# `input [email]`
directive in module `ng`

## Description

Text input with email validation. Sets the `email` validation error key if not a valid email address.

## Usage

    <input type="email"
           ng-model="{string}"
           [name="{string}"]
           [required]
           [ng-required="{string}"]
           [ng-minlength="{number}"]
           [ng-maxlength="{number}"]
           [ng-pattern="{string}"]
           [ng-change="{string}"]>

#### Parameters

Param | Type | Details
--- | --- | ---
ngModel | string | Assignable angular expression to data-bind to.
name (optional) | string | Property name of the form under which the control is published.
required (optional) | string | Sets `required` validation error key if the value is not entered.
ngRequired (optional) | string | Adds `required` attribute and `required` validation constraint to the element when the ngRequired expression evaluates to true. Use `ngRequired` instead of `required` when you want to data-bind to the `required` attribute.
ngMinlength (optional) | number | Sets `minlength` validation error key if the value is shorter than minlength.
ngMaxlength (optional) | number | Sets `maxlength` validation error key if the value is longer than maxlength.
ngPattern (optional) | string | Sets `pattern` validation error key if the value does not match the RegExp pattern expression. Expected value is `/regexp/` for inline patterns or `regexp` for patterns defined as scope expressions.
ngChange (optional) | string | Angular expression to be executed when input changes due to user interaction with the input element.

## Example

#### Source

## Demo